Page MenuHomePhabricator

Remove docroot:/images/mobile in favour of docroot:/static/images/mobile
Closed, ResolvedPublic

Description

/static/images was created in 145f5cea9f324137512101eb6f42458c91bfe40c as copy of /images/, and the latter was left behind as stale copy (not a symlink).

Some of the files in there are now out of sync. For example, wikipedia-wordmark-en.png has a registered trademark icon in /static/images/mobile/ the version in /images/mobile does not.

They also don't benefit from the cache rules set up for /static.

https://en.m.wikipedia.org/static/images/mobile/wikipedia-wordmark-en.png
https://en.m.wikipedia.org/images/mobile/wikipedia-wordmark-en.png

Related Objects

StatusAssignedTask
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
DeclinedNone
OpenNone
Resolveddr0ptp4kt
DuplicateJhernandez
Duplicatedr0ptp4kt
OpenNone
ResolvedJdlrobson
ResolvedBBlack
ResolvedKrinkle

Event Timeline

Krinkle created this task.Jul 30 2015, 12:40 AM
Krinkle raised the priority of this task from to Needs Triage.
Krinkle updated the task description. (Show Details)
Krinkle added subscribers: Krinkle, Jdlrobson, ori.
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptJul 30 2015, 12:40 AM
Dzahn set Security to None.
jcrespo triaged this task as Low priority.Sep 8 2015, 9:09 AM
jcrespo added a subscriber: jcrespo.

Low because it is "a nice thing to do" (aka #TODO), but it is not breaking something right now (feel free to correct me).

Krinkle updated the task description. (Show Details)Sep 8 2015, 2:18 PM
Krinkle added a comment.EditedSep 8 2015, 2:20 PM

The main impact from this is organisational overhead (they are outdated copies, possibly sending the wrong versions of production site logos to users), and minor performance impact because this is a non-standard top-level directory not declared anywhere in our traffic rules.

It's not benefitting gzip (which negatively impacts user bandwidth use for all files in this directory), and it's not benefitting cache collapsing from Varnish for de-duplication across domains. Which is set up for /static.

I agree it's not high priority, though.

@Jdlrobson: I tagged Readers-Web-Backlog as I don't feel comfortable updating use of these files myself. They are different and have diverged since. I don't know to what extent those changes were intentional.

Change 270471 had a related patch set uploaded (by Krinkle):
Update mobile config to use /static/images instead of deprecated /images

https://gerrit.wikimedia.org/r/270471

Change 270471 merged by jenkins-bot:
Update mobile config to use /static/images instead of deprecated /images

https://gerrit.wikimedia.org/r/270471

Mentioned in SAL [2016-02-21T02:37:20Z] <krinkle@tin> Synchronized wmf-config/InitialiseSettings.php: T107395 (duration: 01m 29s)

Krinkle closed this task as Resolved.Feb 21 2016, 2:38 AM
Krinkle claimed this task.